Apis::V4::PeopleSearch API

search people by permission level

Parameters

Name Description
access_token JSON Web Token retrieved from the Sessions endpoint (you can also passthis into the Authorization header)
q search string, the system will try to search by first and last name, or email address if you include a '@'
limit max number of people to return. Defaults to 10.
organization_ids (optional) only look in these organizations
fields hash of fields you want for model types. the person type will default to these fields: first_name,last_name,gender,primary_email_address. But you could request picture if you want to receive that as well.

Request

Headers

Version: HTTP/1.0
Accept: application/json
Content-Type: application/json
Authorization: Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJ1c2VyX2lkIjoxMzgsImV4cCI6MTc5NDU0MDIxOSwiaWF0IjoxNzk0NTQwMDM5fQ.vH93LJCaSeh2OjwOf01Box3BVso1XOyDoWeg0qT8G1Q
Host: example.org
Cookie: 

Route

GET /apis/v4/search?q=Ultr&organization_ids=111&filters[permission_ids]=1

Query Parameters

q=Ultr
organization_ids=111
filters={"permission_ids"=>"1"}

Response

Headers

X-Frame-Options: SAMEORIGIN
X-XSS-Protection: 1; mode=block
X-Content-Type-Options: nosniff
X-Download-Options: noopen
X-Permitted-Cross-Domain-Policies: none
Referrer-Policy: strict-origin-when-cross-origin
Content-Type: application/vnd.api+json
Vary: Accept
X-MH-Session: eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJ1c2VyX2lkIjoxMzgsImV4cCI6MTc5NDcxMjgzOSwiaWF0IjoxNzk0NTQwMDM5fQ.AFv6jNGv586J4fSqK_HvmEeAjYKJ4Tmal4YdWC9Pvx0
Access-Control-Expose-Headers: X-MH-Session
ETag: W/"28e032def686b7100dee8d168c41913b"
Cache-Control: max-age=0, private, must-revalidate
X-Request-Id: 99ed5ac8-8548-4c90-88cc-6cdfa8fddea8
X-Runtime: 0.052945
Content-Length: 574

Status

200

Body